Member Group Tabs
=================

The Problem
-----------

Tabs are custom buttons that users can create in the ExpressionEngine control panel Main Menu Manager. They're very useful, but have some limitations. Tabs are unique for each member. It is time consuming for administrators to create the same tab for a number of members. When new members are registered in the future you have to manually create those tabs for them again.

**This extension allows you to create navigation tabs for entire member groups in the ExpressionEngine control panel.** All existing and future members will have access to the tabs you create for their member group.

Installation
------------

1. Unpackage the zip file
2. Place 'sh\_member\_group_tabs' folder in your 'system/expressionengine/third\_party' directory
3. Enable the 'Member Group Tabs' extension in the ExpressionEngine control panel by navigating to Add-Ons > Extensions

Usage
-----

In the ExpressionEngine control panel navigate to Add-Ons > Extensions and click Member Group Tabs 'Settings'.

The Member Group Tabs settings page will list member groups that have control panel permissions.

### Quick Notes

* Created member group tabs will appear in-between ExpressionEngine's default buttons, and the default member tabs.
![Member Group Tabs Example](https://s3.amazonaws.com/bransinanderson/examples/diagram_member_group_tabs.jpg)
* Tabs can be rearranged by selecting, and dragging up or down.
* The 'Tab URL' field can contain a relative or absolute URL.
* External URLs are automatically masked to protect the location of your system path from server logs.

License
-------

[![Creative Commons License](http://i.creativecommons.org/l/by-sa/3.0/88x31.png)](http://creativecommons.org/licenses/by-sa/3.0/deed.en_US)

This work is licensed under a [Creative Commons Attribution-ShareAlike 3.0 Unported License](http://creativecommons.org/licenses/by-sa/3.0/deed.en_US).


Support
-------

Report any issues on the [ExpressionEngine Answers forum](http://expressionengine.stackexchange.com/questions/ask?title=Member+Group+Tabs&tags=member-group-tabs).